std::__is_fast_hash< _Hash > Struct Template Reference

`#include <functional_hash.h>`

Inheritance diagram for std::__is_fast_hash< _Hash >:
[legend]

## Public Types

typedef integral_constant< _Tp, __v > | type
typedef _Tp | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr _Tp | value

## Detailed Description

template<typename _Hash>
struct std::__is_fast_hash< _Hash >

Hint about performance of hash functions.

If a given hash function object is not fast, the hash-based containers will cache the hash code. The default behavior is to consider that hashers are fast unless specified otherwise.

Users can specialize this for their own hash functions in order to force caching of hash codes in unordered containers. Specializing this trait affects the ABI of the unordered containers, so use it carefully.

Definition at line 295 of file functional_hash.h.

## Member Typedef Documentation

## type

template<typename _Tp , _Tp __v>

typedef integral_constant<_Tp, __v> std::integral_constant< _Tp, __v >::type

inherited

Definition at line 66 of file type_traits.

## value_type

template<typename _Tp , _Tp __v>

typedef _Tp std::integral_constant< _Tp, __v >::value_type

inherited

Definition at line 65 of file type_traits.

## Member Function Documentation

## operator value_type()

template<typename _Tp , _Tp __v>

constexpr std::integral_constant< _Tp, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 67 of file type_traits.

## operator()()

template<typename _Tp , _Tp __v>

constexpr value_type std::integral_constant< _Tp, __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 72 of file type_traits.

## Member Data Documentation

## value

template<typename _Tp , _Tp __v>

constexpr _Tp std::integral_constant< _Tp, __v >::value

static constexpr inherited

Definition at line 64 of file type_traits.

The documentation for this struct was generated from the following file:

- functional_hash.h